Package org.apache.sling.commons.testing.integration

# Class HttpStatusCodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.sling.commons.testing.integration.HttpStatusCodeException

All Implemented Interfaces:
  `Serializable`

public class HttpStatusCodeException extends IOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HttpStatusCodeException(int expectedStatus, int actualStatus, String method, String url)`
`HttpStatusCodeException(int expectedStatus, int actualStatus, String method, String url, String content)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getActualStatus()`
`int`
`getExpectedStatus()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpStatusCodeException

public HttpStatusCodeException(int expectedStatus, int actualStatus, String method, String url)

### HttpStatusCodeException

public HttpStatusCodeException(int expectedStatus, int actualStatus, String method, String url, String content)

## Method Details

### getExpectedStatus

public int getExpectedStatus()

### getActualStatus

public int getActualStatus()